std::basic_string_view::rend,std::basic_string_view::crend(3)

NAME
std::basic_string_view::rend,std::basic_string_view::crend - std::basic_string_view::rend,std::basic_string_view::crend

Synopsis
   constexpr const_reverse_iterator rend() const noexcept; (since C++17)
   constexpr const_reverse_iterator crend() const noexcept; (since C++17)
   Returns a reverse iterator to the character following the last character of the
   reversed view. It corresponds to the character preceding the first character of the
   non-reversed view. This character acts as a placeholder, attempting to access it
   results in undefined behavior.
   range-rbegin-rend.svg

Parameters
   (none)

Return value
   const_reverse_iterator to the character following the last character.

Complexity
   Constant

Example
// Run this code
 #include <algorithm>
 #include <iostream>
 #include <iterator>
 #include <string_view>
 int main()
 {
     std::ostream_iterator<char> out_it(std::cout);
     std::string_view str_view("abcdef");
     std::copy(str_view.rbegin(), str_view.rend(), out_it);
     *out_it = '\n';
     std::copy(str_view.crbegin(), str_view.crend(), out_it);
     *out_it = '\n';
 }

Output:
 fedcba
 fedcba

See also
   rbegin returns a reverse iterator to the beginning
   crbegin (public member function)
   (C++17)
   rend returns a reverse iterator to the end
   crend (public member function of std::basic_string<CharT,Traits,Allocator>)
   (C++11)